Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Mosè Giordano <[email-masked]>
Date: Mon, 7 Nov 2016 00:26:05 +0100

Hi Lars,

2016-11-05 12:42 GMT+01:00 Lars Eriksson <[email-masked]>:
> A correction:
> I made a mistake in my test with the 24.5, I was too quick on the keyboard
> With the auctex error there is no syntax highlighting. I installed 24.5 and
> AucTeX and opened emacs with a latex file and got syntax highlighting so I
> believed auctex was loaded but it was not, at the time of me sending the
> mail. Some more testing showed that my Mac had started Emacs from the dmg
> file that was still open at the time of testing and only loaded the standard
> latex mode and gave me syntax highlighting and I jumped to the conclusion
> that all was working… But when the dmg was unmounted AucTeX was not working.
>
> So the latest AucTeX-build did not work on 24.5….
> I later tried the old Au11.89 and Em 24.5 without success (same error) so I
> went for Au 11.88 and Em 24.5 and can confirm that this works for me.
> I have AucTex in the distribution place
>  /Applications/Emacs.app/Contents/Resources/site-lisp
> and

The source tree of AUCTeX has been changed in 11.89, so in principle
it makes sense that you actually experience the problem with version
11.89 but not 11.88.  What looks strange to me is that the change
actually simplified things moving all files to the same directory.
I'll try to reproduce your issue.

Bye,
Mosè